(define c 262144)

(define pszfzl
  (lambda (z)
    (let ((a 16807)(b 0))
      (if (eq? z 0) 
          4567
          (modulo (+ (* a (pszfzl (- z 1))) b) c)))))

(define randomize
  (lambda ()
    (/ (pszfzl (modulo (current-milliseconds) c)) c)))

(define myrandom
  (lambda (n)
    (let ((a (randomize)))
      (floor(* a n)))))